import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Switsk{
    constructor () {
        this.data = {
						filtsk:{
							tsklist:{
								ininam:"",			//  Name of INI-File		.filtsk.tsklist.ininam
								timzonlab:"",			//  Label to display timezone		.filtsk.tsklist.timzonlab
								strflg:"",			//  Automatic Start Flag		.filtsk.tsklist.strflg
								jobstrdat:"",			//  Start Time of Job Date		.filtsk.tsklist.jobstrdat
								jobstrtimhh:"",			//  Start Time of Job HH		.filtsk.tsklist.jobstrtimhh
								jobstrtimmm:"",			//  Start Time of Job MM		.filtsk.tsklist.jobstrtimmm
								terflg:"",			//  Automatic Termination Flag		.filtsk.tsklist.terflg
								downtimehh:"",			//  Automatic Shutdown at hh		.filtsk.tsklist.downtimehh
								downtimemm:"",			//  Automatic Shutdown at mm		.filtsk.tsklist.downtimemm
								redotime:"",			//  Redotime		.filtsk.tsklist.redotime
								logmod:{
									logdsp:{
										logfil:"",			//  Source File		.filtsk.tsklist.logmod.logdsp.logfil
										dstfilnam:"",			//  File Name on Client		.filtsk.tsklist.logmod.logdsp.dstfilnam
									},
								},
							},
						},
						srvswi:{
							exeflg:"",			//  Incoming Swift		.srvswi.exeflg
							fildirlab:"",			//  Label for FILDIR		.srvswi.fildirlab
							filextlab:"",			//  Label for FILEXT		.srvswi.filextlab
							filexttxt:"",			//  additional information for field FILEXT		.srvswi.filexttxt
							etydirflg:"",			//  Separate Directory per Entity		.srvswi.etydirflg
							swtprttyp:"",			//  Type of Print		.srvswi.swtprttyp
							parprtflg:"",			//  Partial Print		.srvswi.parprtflg
							parheatxt:"",			//  Text for Header		.srvswi.parheatxt
							errprtflg:"",			//  Error Print		.srvswi.errprtflg
							errheatxt:"",			//  Text for Header		.srvswi.errheatxt
							srvprtm:{
								prt:{
									heatxt:"",			//  Text for Header		.srvswi.srvprtm.prt.heatxt
									tef:"",			//  Technical Form		.srvswi.srvprtm.prt.tef
									getprt:"",			//  Default Printer from:		.srvswi.srvprtm.prt.getprt
									prt:"",			//  Printer		.srvswi.srvprtm.prt.prt
									bin:"",			//  Paperbin		.srvswi.srvprtm.prt.bin
									bin2:"",			//  Bin for 2nd Page		.srvswi.srvprtm.prt.bin2
									cpycnt:"",			//  # of Copies		.srvswi.srvprtm.prt.cpycnt
								},
								prtmod:{
									prttstblk:"",			//  XMLPanel prttst的内置block		.srvswi.srvprtm.prtmod.prttstblk
								},
							},
							fildir:"",			//  Directory for Files		.srvswi.fildir
							filext:"",			//  File Extension		.srvswi.filext
						},
						srvtli:{
							exeflg:"",			//  Incoming Telex		.srvtli.exeflg
							fildirlab:"",			//  Label for FILDIR		.srvtli.fildirlab
							filextlab:"",			//  Label for FILEXT		.srvtli.filextlab
							prt:{
								prttyp:"",			//  Type of Print		.srvtli.prt.prttyp
								heatxt:"",			//  Text for Header		.srvtli.prt.heatxt
								tef:"",			//  Technical Form		.srvtli.prt.tef
								getprt:"",			//  Default Printer from:		.srvtli.prt.getprt
								prt:"",			//  Printer		.srvtli.prt.prt
								bin:"",			//  Paperbin		.srvtli.prt.bin
								bin2:"",			//  Bin for 2nd Page		.srvtli.prt.bin2
								cpycnt:"",			//  # of Copies		.srvtli.prt.cpycnt
							},
							fildir:"",			//  Directory for Files		.srvtli.fildir
							filext:"",			//  File Extension		.srvtli.filext
						},
						srvdta:{
							exeflg:"",			//  Incoming Swift		.srvdta.exeflg
							fildirlab:"",			//  Label for FILDIR		.srvdta.fildirlab
							filextlab:"",			//  Label for FILEXT		.srvdta.filextlab
							filexttxt:"",			//  additional information for field FILEXT		.srvdta.filexttxt
							etydirflg:"",			//  Separate Directory per Entity		.srvdta.etydirflg
							swtprttyp:"",			//  Type of Print		.srvdta.swtprttyp
							parprtflg:"",			//  Partial Print		.srvdta.parprtflg
							parheatxt:"",			//  Text for Header		.srvdta.parheatxt
							errprtflg:"",			//  Error Print		.srvdta.errprtflg
							errheatxt:"",			//  Text for Header		.srvdta.errheatxt
							srvprtm:{
								prt:{
									heatxt:"",			//  Text for Header		.srvdta.srvprtm.prt.heatxt
									tef:"",			//  Technical Form		.srvdta.srvprtm.prt.tef
									getprt:"",			//  Default Printer from:		.srvdta.srvprtm.prt.getprt
									prt:"",			//  Printer		.srvdta.srvprtm.prt.prt
									bin:"",			//  Paperbin		.srvdta.srvprtm.prt.bin
									bin2:"",			//  Bin for 2nd Page		.srvdta.srvprtm.prt.bin2
									cpycnt:"",			//  # of Copies		.srvdta.srvprtm.prt.cpycnt
								},
								prtmod:{
									prttstblk:"",			//  XMLPanel prttst的内置block		.srvdta.srvprtm.prtmod.prttstblk
								},
							},
							fildir:"",			//  Directory for Files		.srvdta.fildir
							filext:"",			//  File Extension		.srvdta.filext
						},
						srvtci:{
							exeflg:"",			//  Incoming Swift		.srvtci.exeflg
							fildirlab:"",			//  Label for FILDIR		.srvtci.fildirlab
							filextlab:"",			//  Label for FILEXT		.srvtci.filextlab
							filexttxt:"",			//  additional information for field FILEXT		.srvtci.filexttxt
							etydirflg:"",			//  Separate Directory per Entity		.srvtci.etydirflg
							swtprttyp:"",			//  Type of Print		.srvtci.swtprttyp
							parprtflg:"",			//  Partial Print		.srvtci.parprtflg
							parheatxt:"",			//  Text for Header		.srvtci.parheatxt
							errprtflg:"",			//  Error Print		.srvtci.errprtflg
							errheatxt:"",			//  Text for Header		.srvtci.errheatxt
							srvprtm:{
								prt:{
									heatxt:"",			//  Text for Header		.srvtci.srvprtm.prt.heatxt
									tef:"",			//  Technical Form		.srvtci.srvprtm.prt.tef
									getprt:"",			//  Default Printer from:		.srvtci.srvprtm.prt.getprt
									prt:"",			//  Printer		.srvtci.srvprtm.prt.prt
									bin:"",			//  Paperbin		.srvtci.srvprtm.prt.bin
									bin2:"",			//  Bin for 2nd Page		.srvtci.srvprtm.prt.bin2
									cpycnt:"",			//  # of Copies		.srvtci.srvprtm.prt.cpycnt
								},
								prtmod:{
									prttstblk:"",			//  XMLPanel prttst的内置block		.srvtci.srvprtm.prtmod.prttstblk
								},
							},
							fildir:"",			//  Directory for Files		.srvtci.fildir
							filext:"",			//  File Extension		.srvtci.filext
						},
						srvemi:{
							exeflg:"",			//  Incoming Email		.srvemi.exeflg
						},
						srvdte:{
							exeflg:"",			//  Incoming Swift		.srvdte.exeflg
							fildirlab:"",			//  Label for FILDIR		.srvdte.fildirlab
							filextlab:"",			//  Label for FILEXT		.srvdte.filextlab
							filexttxt:"",			//  additional information for field FILEXT		.srvdte.filexttxt
							etydirflg:"",			//  Separate Directory per Entity		.srvdte.etydirflg
							swtprttyp:"",			//  Type of Print		.srvdte.swtprttyp
							parprtflg:"",			//  Partial Print		.srvdte.parprtflg
							parheatxt:"",			//  Text for Header		.srvdte.parheatxt
							errprtflg:"",			//  Error Print		.srvdte.errprtflg
							errheatxt:"",			//  Text for Header		.srvdte.errheatxt
							srvprtm:{
								prt:{
									heatxt:"",			//  Text for Header		.srvdte.srvprtm.prt.heatxt
									tef:"",			//  Technical Form		.srvdte.srvprtm.prt.tef
									getprt:"",			//  Default Printer from:		.srvdte.srvprtm.prt.getprt
									prt:"",			//  Printer		.srvdte.srvprtm.prt.prt
									bin:"",			//  Paperbin		.srvdte.srvprtm.prt.bin
									bin2:"",			//  Bin for 2nd Page		.srvdte.srvprtm.prt.bin2
									cpycnt:"",			//  # of Copies		.srvdte.srvprtm.prt.cpycnt
								},
							},
							fildir:"",			//  Directory for Files		.srvdte.fildir
							filext:"",			//  File Extension		.srvdte.filext
						},
						srvboi:{
							exeflg:"",			//  Incoming Bolero		.srvboi.exeflg
						},
						cltprtflg:"",			//  Print System		.cltprtflg
						srveli:{
							exeflg:"",			//  Incoming Elc		.srveli.exeflg
						},
						docimm:{
							ascin:"",			//  Message as stream		.docimm.ascin
							prtswtrpblk:"",			//  XMLPanel prtswtrp的内置block		.docimm.prtswtrpblk
							xmldocblk:"",			//  XMLPanel xmldoc的内置block		.docimm.xmldocblk
							prtswtpblk:"",			//  XMLPanel prtswtp的内置block		.docimm.prtswtpblk
						},
						pageId: ""			// ctx的key
				}
    }
}